> ## Documentation Index
> Fetch the complete documentation index at: https://birdeye-0229a3ce-developerportalchanges.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Listing



## OpenAPI

````yaml POST /v1/listing/{businessNumber}/create
openapi: 3.0.0
info:
  title: Birdeye
  version: 0.0.1
  description: >-
    Birdeye helps businesses grow through happy customers. Over 80,000
    businesses use Birdeye everyday to attract new leads with Listings, Reviews
    and Referrals, convert them into customers with Webchat, Appointments, and
    Payments, and delight those customers with Surveys, Ticketing, and Insights
    - all in one place.


    The Birdeye APIs are built on HTTP and are RESTful APIs.


    * Uses resource-oriented URLs.


    * Uses built-in HTTP capabilities for passing parameters and authentication.


    * Responds with standard HTTP response codes to indicate errors.


    * Requests and responses payload attached with all the mentioned APIs, you
    may choose your preferred language per the integration requirement.


    ### Authentication and Rate limiting


    > __NOTE:__

    > - __All API requests targeting business accounts must include the
    x-api-key header. This header is required and mandatory for successful
    authentication and access to the API endpoints.__

    >

    > - __To protect your API key and prevent unauthorized access, please ensure
    all API requests are made from your backend server. Do not call the APIs
    directly from the browser or expose your API key in any client-side code.__


    To call a Birdeye API, you need a valid API key. It can be fetched via the
    Birdeye dashboard and is a confidential key.


    There is a limit to calling APIs with each API key [connect with the support
    team to get the current limit]. If too many requests are made within the
    threshold timeframe, an error will be returned in the response.


    ### Pagination


    Multiple API supporting pagination. These APIs have two parameters sindex
    and count.


    * <b>sindex:</b> is the start index


    * <b>count:</b> No. of records, you want to fetch.


    > __Note__

    > - _Deep Pagination with record window greater than 100k is not supported.
    Either reduce the sindex + count to be less than equal to 100k or use
    appropriate filters to narrow down your result set._


    <b>For example :</b>


    * Suppose you have to fetch 20 records:

    <pre><code>

    API call 1 -> sindex=0, count 10

    API call 2 -> sindex -> 10, count 10.

    </pre></code>


    * To fetch 100kth record:

    <pre><code>

    sindex = 99000 and count = 1000

    will just work fine as sindex + count = 100000 which is less than 100,000.

    </pre></code>


    * If you fetch more than 100kth records:

    <pre><code>

    sindex = 99000 and count = 1001, sindex + count = 100001

    which is greater than 100,000. Thus, you'll receive an error in response.

    </pre></code>


    ### HTTP Status Codes


    Every API response will have an HTTP status code.


    * <b>200 - OK:</b> API request is successful


    * <b>202 - Accepted:</b> The API request has been accepted for processing.


    * <b>400 - Bad Request:</b> The API request was unacceptable, often due to a
    missing or invalid parameter.


    * <b>404 - Not Found:</b> The requested resource does not exist.


    * <b>429 - Rate Limited:</b> You have made too many requests within the
    threshold timeframe.


    * <b>500 - Internal Server Error:</b> Something went wrong on our end.
    Please get in touch with support.


    ### Error Response


    Birdeye API will return a validation error in case of missing/invalid input
    in the request. The response will return the errorCode and errorMessage.


    For example :

    <pre><code>

    {
        "code": 1161,
        "message": "Invalid API key"
    }

    </pre></code>
servers:
  - url: https://api.birdeye.com/resources
security: []
tags:
  - name: Business
    description: Create and maintain your business on Birdeye.
  - name: Custom Fields
    description: Create, delete , update , associate and get custom fields easily.
  - name: User
    description: Delete and manage user profiles and permissions easily.
  - name: Reviews
    description: Consistently generate more reviews and higher ratings.
  - name: Contact
    description: >-
      Manage contacts across locations effortlessly with a robust Contact
      Management System.
  - name: Contact V2
    description: >-
      Easily manage contacts across multiple locations using enhanced Contact
      APIs, featuring built-in support for communication preference flags.
  - name: Campaign
    description: >-
      Create a short link for review requests and set review sources in the
      template.
  - name: Aggregation
    description: Access your public data from 150+ review sites.
  - name: Report
    description: >-
      Various reporting data points across Birdeye modules like reviews,
      insights and competitors etc for all your data visualisation
  - name: Survey
    description: >-
      Engage each customer at the right time with NPS or CSAT surveys to improve
      your service.
  - name: Business Media
    description: >-
      Add, delete and manage business media.


      > __Supported Media Size__

      > - _Photo: JPG or PNG. 720 x 720px. 10KB min._

      > - _Video: 30 sec long. 720p or more upto 75MB._


      > __Note__

      > - _Uploaded media will be pushed to your google business profile (if
      connected) and other long tail directories only._
  - name: Social
    description: Create and track Social posting for all channels.
  - name: Employee
  - name: Conversation
    description: >-
      Connect with customers across a range of digital channels from one unified
      inbox.
  - name: Subscription
    description: >-
      Subscribe or Unsubscribe multiple webhooks with different URLs or Events
      for a subscription and deliver real-time notifications.
  - name: Webhook
    description: >-
      Configure multiple webhooks with different URLs for a subscription and
      deliver real-time notifications.
  - name: Competitor
    description: Make competitive insights your unfair advantage.
  - name: Competitor AI
    description: Competitive intelligence, simplified by AI.
  - name: Insight AI
    description: Insight intelligence, simplified by AI.
  - name: Google Q&A
    description: >-
      > __Note__

      > - _Applicable to be used only by paid listings clients, for their active
      locations, for the Google Q&A section, in the Google listing_
  - name: Google Services
    description: >-
      > __Note__

      > - _Applicable to be used only by paid listings clients, for their active
      locations, for the Google Services section, in the Google listing._

      > - _No two services should have the same service name. It is recommended
      that all services created should  HAVE UNIQUE service names._

      > - _You CAN have the same service across two diff categories e.g.:
      Emergency counselling as a $100 paid service can be a service created &
      mapped to category A - Mental health and category B - Psychotherapy - both
      categories being present for the same location._
  - name: FAQ
    description: >-
      To retrieve all Question and Answer (QnA) entries across locations using
      FAQ APIs, enabling smart support and knowledge features for businesses.
  - name: Listing
    description: >-
      Keep your business information accurate and consistent across 50+
      websites.
  - name: GMB Products
    description: >-
      To manage products, locations, and business details through Listing GMB
      platform
  - name: Search AI
    description: >-
      Search AI provides a comprehensive view of your business performance
      across AI-powered search platforms, including data accuracy, sentiment
      analysis, citations, brand ranking, and overall visibility.
  - name: Ticketing
    description: >-
      Create standout customer support with ticketing across reviews, untagged,
      and survey responses.
  - name: Integration
    description: Birdeye integrates with various software or tools you use.
  - name: Change Logs
    description: >-
      * <b>07/03/2026</b> - Updated `mainBusinessDescription` and microsite
      `internalListing.description` fields in Create, Update and Get Listing
      APIs to be optional instead of required, with support for clearing the
      existing value by sending an empty string (V2BIRD-1690).


      * <b>06/10/2026</b> - Updated Get Contact API to support an optional
      `experienceScore` boolean field in the request body (default: false). When
      set to true, the response includes the customer's experience score and
      source.


      * <b>05/25/2026</b> - Added Update Custom card (PUT) and Delete Custom
      card (DELETE) API documentation under the Business profile custom card
      section.


      * <b>05/11/2026</b> - Added support for backdated survey responses in the
      POST Survey Response API. The `created` field (UTC Epoch milliseconds) is
      optional; if omitted, the server defaults to the current UTC timestamp.


      * <b>04/22/2026</b> - Provide subLocality field support in Get, Create and
      Update Listings APIs for NZ Locations.


      * <b>04/16/2026</b> - Added Archived Get Reviews API  under Reviews group.


      * <b>04/06/2026</b> - Updated Get Reviews API documentation to improve
      clarity on review statuses and how to retrieve all review types.


      * <b>03/24/2026</b> - Added Social Open URL Performance Report API and
      Insight AI APIs to retrieve location-wise metrics and benchmark score.


      * <b>03/18/2026</b> - Added Create Custom Card Time API under custom
      fields section.


      * <b>03/03/2026</b> - Added Response Time (overtime & by-location) and
      Response Rate(overtime & by-location) APIs under reports section and
      created group for Competitor AI.


      * <b>03/02/2026</b> - Added sendInvite (boolean, default - true) field in
      Create User Signup v2 API request body and attributes.


      * <b>02/11/2026</b> - Updated the API key identifier for applicable APIs
      by moving it from a query parameter to the x-api-key request header.


      * <b>02/03/2026</b> - Added the "Get All QnA" API under FAQ group to
      enable retrieval of QnA entries across business locations, with full
      request and response documentation


      * <b>01/19/2026</b> - Added a note under the Authentication and Rate
      limiting section specifying that the x-api-key header is mandatory for all
      API requests targeting EU region business accounts.


      * <b>01/13/2026</b> - Added Create User (Signup) API under User module to
      create and invite users for a business.


      * <b>09/22/2025</b> - Added GMB Products APIs to onboard/connect Google
      Merchant accounts and manage product listing actions.


      * <b>08/21/2025</b> - Added Single main business description Support.


      * <b>08/19/2025</b> - Added competitor /raptor public APIs for reviews
      aggregates.


      * <b>06/26/2025</b> - Added Contact V2 APIs with communication preference
      flag support.


      * <b>12/13/2024</b> - Added inline reply support for GetReviews APIs.


      * <b>09/27/2024</b> - Added update for Google Opening Soon (BIRD-56987)


      * <b>06/25/2024</b> - Updated Listings Insights API (BIRDEYE-137367)


      * <b>05/29/2024</b> - Added Google Q&A Developers API Section


      * <b>05/13/2024</b> - Added epoc date support for GetReviews APIs.


      * <b>03/22/2024</b> - Add Update Hierarchy API (BIRD-32609)


      * <b>03/19/2024</b> - Added Ticket APIs Create, Get, Update APIs under
      Ticket module


      * <b>02/26/2024</b> - Updated logoUrl description in Get, Update APIs
      under Business module and Create, Get, Update APIs under Listing module
      (BIRD-29386)


      * <b>12/21/2023</b> - Add listing phase 2 api changes (BIRD-16589)


      * <b>11/08/2023</b> - Add survey changes (BIRD-11944) and listing changes
      (BIRD-14345)


      * <b>11/08/2023</b> - Added CRUD APIs for Apple chat


      * <b>10/15/2023</b> - Added CRUD APIs for Business Media.


      * <b>10/11/2023</b> - Added new APIs under Listing module, Create, Update,
      Get, Deactive Listings


      * <b>09/18/2023</b> - Added new API under Contact module i.e, Get opt-out
      contact data


      * <b>08/25/2023</b> - Added new APIs under Business and Listing modules,
      Get Category List API, Get GMB Attributes API & Get Timezone List


      * <b>07/21/2023</b> - Added new API under Business module i.e, Business
      Search API.


      * <b>06/30/2023</b> - Added support for service area based information in
      Get Business API and Update Business API.


      * <b>10/04/2024</b> - Added support to fetch ticketId associated with the
      survey responses in List Response API.
paths:
  /v1/listing/{businessNumber}/create:
    post:
      tags:
        - Listing
      summary: Create Listing
      operationId: createListing
      parameters:
        - name: businessNumber
          in: path
          description: Business Number.
          required: true
          example: '169744180007807'
          schema:
            type: number
        - name: Accept
          in: header
          description: e.g. application/json
          required: false
          example: application/json
          schema:
            type: string
        - name: x-api-key
          in: header
          description: >-
            e.g. [Required] Partner specific API key provided by Birdeye for
            data exchange.
          required: false
          example: >-
            [Required] Partner specific API key provided by Birdeye for data
            exchange.
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                businessInfo:
                  type: object
                  properties:
                    name:
                      type: string
                      description: Name of the Business/Product (Max 250 character long).
                    phone:
                      type: string
                      description: >-
                        Your official Business Phone number. Format is (xxx)
                        xxx-xxxx.
                    websiteUrl:
                      type: string
                      description: Business website url.
                    emailId:
                      type: string
                      description: Business Email ID.
                    isAddressHidden:
                      type: string
                      description: >-
                        If your business doesn’t have a place for your customers
                        to visit, then you can hide your street address.
                    isServiceAreaProvider:
                      type: string
                      description: If you deliver or provide service at customer locations.
                    mainBusinessDescription:
                      type: string
                      description: >-
                        Business Description is optional. If this field is
                        included with an empty value in the API request, the
                        existing Business Description will be cleared for the
                        location. If a value is provided, it must contain at
                        least 200 characters. Avoid sending URLs, phone numbers,
                        addresses, or promotional content in this field.
                    serviceAreas:
                      type: array
                      description: >-
                        Locations where you deliver or provide service
                        (applicable if isServiceAreaProvider is 'Yes').NOTE:
                        Maximum service areas that can be provided are 10.
                      items: {}
                    location:
                      type: object
                      properties:
                        address1:
                          type: string
                          description: Address of the business/location.
                        address2:
                          type: string
                          description: Address of the business/location.
                        subLocality:
                          type: string
                          description: >-
                            (Char 4-80) Mandatory for: New Zealand (Enter the
                            Suburb) Other Countries: This field is not required.
                            Any data entered here for countries outside of New
                            Zealand will be ignored by the system.
                        city:
                          type: string
                          description: City (Max 1000 character long).
                        state:
                          type: string
                          description: State (2 character state code).
                        countryCode:
                          type: string
                          description: Country Code (2 character country code).
                        zip:
                          type: string
                          description: Zip Code.
                      required:
                        - zip
                      description: Business address
                  required:
                    - name
                    - phone
                  description: Business Information
                additionalInfo:
                  type: object
                  properties:
                    establishedYear:
                      type: number
                      description: Year established
                    timezone:
                      type: string
                      description: Timezone of the business.
                    languages:
                      type: array
                      description: Languages.
                      items: {}
                    moreHours:
                      description: >-
                        Google more hours for specific services you offer such
                        as delivery, takeout, drive-through, and pickup (see:
                        Supported More Hours). Google more hours can only be
                        added if google primary category is added. To get
                        specific types of more hours, please refer to Get
                        supported more hours type api.  NOTE: In more hours, day
                        0 denotes Monday, day 1 denotes Tuesday, …, day 6
                        denotes Sunday.


                        Please refer
                        /listing/get-more-hours-type/get-more-hours-type api to
                        get google more hours type. Possible Values Breakfast,
                        Lunch, Pickup, etc.
                    appleMoreHours:
                      description: >-
                        Apple more hours for specific services you offer such as
                        Dining, Bar and Delivery. Apple more hours can only be
                        added if apple primary category is added. To get
                        specific types of apple more hours, please refer to Get
                        supported more hours type api.  NOTE: In apple more
                        hours, day 0 denotes Monday, day 1 denotes Tuesday, …,
                        day 6 denotes Sunday.


                        Please refer
                        /listing/get-more-hours-type/get-more-hours-type api to
                        get apple more hours type. Possible Values Service
                        Hours, Delivery Service Hours, Dine In Hours etc.
                    wholeWeekOperating:
                      type: number
                      description: >-
                        Whether your business is open 24/7, Possible Values - 0
                        or 1.
                    hoursOfOperations:
                      type: array
                      description: >-
                        Regular hours: Regular working hours of the business for
                        each day from Monday to Sunday.
                      items: {}
                    specialHours:
                      type: array
                      description: >-
                        For special holiday days, where you may have limited
                        hours of operation and don’t want to change your preset
                        regular hours. These would only be applicable only for
                        the dates they are set for.
                      items: {}
                    businessStatus:
                      type: string
                      description: >-
                        The business status on the listing page can be set to
                        Open, Temporarily Closed, Permanently Closed, or Opening
                        Soon. A Reopen Date is mandatory for 'Temporarily
                        Closed' and 'Opening Soon' statuses, while optional for
                        'Open'.
                    reopenDate:
                      type: string
                      description: >-
                        Reopen Date is required for the 'Temporarily Closed' and
                        'Opening Soon' statuses, and optional for 'Open.' The
                        date must be in the 'MM/dd/yyyy' format.
                    services:
                      type: string
                      description: >-
                        Services offered by the business. Useful in SEO. (Comma
                        separated list of services offered) Business services
                        cannot be more than 1000 characters.
                    keywords:
                      type: string
                      description: >-
                        Important keywords related to the business. Useful in
                        SEO. (Comma separated list of important keywords)
                        Business keywords cannot be more than 1000 characters.
                    products:
                      type: string
                      description: >-
                        Products about the business. Useful in SEO and Business
                        products cannot be more than 1000 characters.
                    appointmentLink:
                      type: string
                      description: >-
                        Let customers book appointments by redirecting them to
                        your appointments page.
                    reservationLink:
                      type: string
                      description: >-
                        Let customers reserve tables by linking them to your
                        reservations page.
                    menuLink:
                      type: string
                      description: >-
                        Show customers what you serve by linking them to your
                        menu.
                    orderAheadLink:
                      type: string
                      description: >-
                        Let customers place delivery and pick-up orders by
                        linking them to your ordering page.
                    impressum:
                      type: string
                      description: >-
                        In certain countries (like Austria, Germany and
                        Switzerland), businesses may be required by law to
                        include a statement of ownership on their web presence.
                    paymentTypes:
                      description: |-
                        List of payment types accepted by the business.

                        + (Members)
                            + China Union Pay
                            + Bitcoin
                            + Cash Accepted
                            + MasterCard
                            + PayPal
                            + Check / Cheque
                            + Contactless Payment
                            + Debit Card
                            + Diners Club
                            + JCB
                            + Financing
                            + Visa
                            + American Express
                            + Cash Only
                            + Rupay
                            + Credit Card
                            + Discover
                    additionalPaymentTypes:
                      type: string
                      description: Additional Payment Type (Max 250 character long).
                    localPhoneNumber:
                      type: string
                      description: Local phone number.
                    tollFreePhoneNumber:
                      type: string
                      description: Tollfree number.
                    androidAppURL:
                      type: string
                      description: Android app url.
                    iosAppURL:
                      type: string
                      description: IOS app url.
                  required:
                    - hoursOfOperations
                    - services
                  description: Business Additional Information
                media:
                  type: object
                  properties:
                    logoUrl:
                      type: string
                      description: >-
                        This logo will pushed to your listings sites such as
                        Google, Facebook, Bing, Birdeye and all the other
                        secondary listings sites. Format: JPG, JPEG, PNG.
                        Minimum 250 x 250px. Recommended: 720 X 720 px. 10 KB
                        min.
                    coverImageUrl:
                      type: string
                      description: >-
                        This cover photo will pushed to your listings sites such
                        as Birdeye and all the other secondary listings sites.
                        Cover image URL for business will be displayed on custom
                        review site.  Format: JPG, JPEG, PNG. Minimum 1110 x
                        374px. 10 KB min.
                    gmbCover:
                      type: string
                      description: Google Cover Image Url.
                    facebookCover:
                      type: string
                      description: Facebook Cover Image Url.
                  description: Media details.
                optOut:
                  type: object
                  properties:
                    gmbLogoOptOut:
                      type: boolean
                      description: |-
                        Update profile photo on your google my business page.

                                                            Select ‘true’ if you want to opt out from updating the logo on your GBP page.
                                                            Select ‘false’ if you want to opt in to updating the logo on your GBP page.
                    fbLogoOptOut:
                      type: boolean
                      description: |-
                        Update profile photo on your facebook profile.

                                                            Select ‘true’ if you want to opt out from updating the logo on your FB business page.
                                                            Select ‘false’ if you want to opt in to updating the logo on your FB business page.
                    gmbCoverOptOut:
                      type: boolean
                      description: |-
                        Update cover photo on your google my business page.

                                                            Select ‘true’ if you want to opt out from updating the cover photo on your GBP page.
                                                            Select ‘false’ if you want to opt in to updating the cover photo on your GBP page.
                    fbCoverOptOut:
                      type: boolean
                      description: |-
                        Update cover photo on your facebook profile.

                                                            Select ‘true’ if you want to opt out from updating the cover photo on your FB business page.
                                                            Select ‘false’ if you want to opt in to updating the cover photo on your FB business page.
                    gmbProfileOptOut:
                      type: boolean
                      description: >-
                        Opt out from the google specific section on the profile
                        page.

                                                                Select ‘true’ if you want to opt out from updating information such as category and related attributes and more hours on your Google Business Profile page.
                                                                Select ‘false’ if you want to opt in to updating information such as category and related attributes and more hours on your Google Business Profile page.
                    businessProfileOptOut:
                      type: boolean
                      description: |-
                        Opt out from the business profile section.

                                                                    Select ‘true’ if you want to opt out from updating NAP information on your Google Business Profile page.
                                                                    Select ‘false’ if you want to opt in to updating NAP information on your Google Business Profile page.
                  description: Opt out section
                covidInfo:
                  type: object
                  properties:
                    postDescription:
                      type: string
                      description: >-
                        This information is posted and updated on your Google
                        business profile page and your FB business page.
                    covid19SupportLink:
                      type: string
                      description: Should be a valid covid19 support url
                    virtualCareLink:
                      type: string
                      description: Should be a valid url virtual care link
                  description: >-
                    Provide this data for updating any COVID specific
                    information you want to share with your customers.
                bingListing:
                  type: object
                  properties:
                    primaryCategoryBing:
                      type: string
                      description: Primary category of bing.
                    bingCategories:
                      description: You can add a maximum of up to 3 categories.
                    bingPhoneNumber:
                      type: string
                      description: >-
                        You can provide a phone number which will be pushed only
                        to your Bing listing site and will override the primary
                        phone number set.
                    bingDescription:
                      type: string
                      description: >-
                        An ‘About the business description’. Bing description
                        cannot be more than 4096 characters.
                  description: This data will be used to update your Bing listing.
                internalListing:
                  type: object
                  properties:
                    description:
                      type: string
                      description: >-
                        Microsite Override Business Description is optional. If
                        this field is included with an empty value in the API
                        request, the existing Microsite Override Business
                        Description will be cleared for the location. Avoid
                        sending URLs, phone numbers, addresses, or promotional
                        content in this field.
                    category:
                      type: string
                      description: Primary category of business.
                    subCategories:
                      description: You can add up to 3 subcategories.
                    displayCategory:
                      type: string
                      description: >-
                        Choose one of the category either from primary category
                        or from sub categories.
                  required:
                    - category
                    - subCategories
                  description: Provide data for microsite listing purpose.
                facebookListing:
                  type: object
                  properties:
                    facebookPhoneNumber:
                      type: string
                      description: >-
                        Phone number for facebook profile. This phone number
                        will override the main phone number on your Facebook
                        business page
                    categories:
                      description: You can add up to 3 categories.
                    facebookDescription:
                      type: string
                      description: >-
                        An ‘about your business’ description. Facebook
                        description cannot be more than 255 characters.
                  description: >-
                    This data will be used to update your Facebook business
                    page/ listing.
                gmbListing:
                  type: object
                  properties:
                    googleWebsiteUrl:
                      type: string
                      description: >-
                        Website url will update on google listing. This website
                        URL will override your existing website URL on your
                        Google business profile.
                    googlePhoneNumber:
                      type: string
                      description: >-
                        You can provide a phone number which will be pushed only
                        to your google listing site and will override the
                        primary phone number set.
                    googleStoreId:
                      type: string
                      description: Store id for google.
                    primaryCategoryGmb:
                      type: string
                      description: Primary category of google.
                    additionalCategories:
                      description: You can add up to 9 subcategories.
                    googleDescription:
                      type: string
                      description: >-
                        An ‘about your business’ description. Google description
                        cannot be more than 750 characters.
                    attributes:
                      type: object
                      properties: {}
                      description: >-
                        Google my business attributes are highly visible
                        statements about your business that appear on your
                        Google My Business listing. Supported attributes are

                            Accessibility,Amenities,Crowd,Dining options,Highlights,Planning,Offerings,Health & safety.
                    hotelAttributes:
                      type: object
                      properties: {}
                      description: >-
                        Hotel attributes are key characteristics and amenities
                        of your property that help guests discover and
                        understand what your hotel offers. These attributes
                        enhance your hotel's visibility and searchability across
                        booking platforms and travel sites. Supported attributes
                        are Services, Policies and payments, FoodAndDrink,
                        Pools, Wellness, Activities, Transportation, Families,
                        Connectivity, Business, Accessibility, Pets, Parking,
                        Housekeeping, HealthAndSafety, Sustainability,
                        ViewsFromUnit.
                    foodDelivery:
                      type: string
                      description: >-
                        Enter the redirect URL where customers can place
                        delivery orders.This field is applicable for hospitality
                        business and is category dependent.Example
                        http://www.ubereats.com
                    foodTakeout:
                      type: string
                      description: >-
                        Enter the redirect URL where customers can place
                        'takeout' food orders. This field is applicable for
                        hospitality business and is category dependent.Example :
                        http://www.ubereats.com
                    whatsappBusinessLink:
                      type: string
                      description: >-
                        Enter your WhatsApp Business link to display a direct
                        chat option on your live Google Business Profile. This
                        allows customers to easily message you. Example
                        https://wa.me/<yourphonenumber>
                    textMessageNumber:
                      type: string
                      description: >-
                        Enter a valid phone number to enable a text message chat
                        option on your live Google Business Profile, allowing
                        customers to easily reach you via SMS.
                  description: >-
                    This data will be used to update your Google Business
                    Profile/ listing.
                appleListing:
                  type: object
                  properties:
                    phoneNumber:
                      type: string
                      description: >-
                        This will be shown as the primary phoneNumber on your
                        Apple maps place card and will replace/ override your
                        business info phone number.
                    appleWebsiteUrl:
                      type: string
                      description: >-
                        Website url will update on apple listing. This website
                        URL will override your existing website URL on your
                        Apple Business Connect.
                    primaryCategory:
                      type: string
                      description: >-
                        Primary category of apple ,This is a mandatory field.
                        Please pass an acceptable category name/ id by first
                        getting the approved list using the Get category API.
                    additionalCategories:
                      description: >-
                        You can add upto 5 additional categories most suitable
                        for your business. Please pass an acceptable category
                        name/ id by first getting the approved list using the
                        Get category API.
                    appleLocationAttributes:
                      type: object
                      properties: {}
                      description: >-
                        Apple connect attributes are highly visible statements
                        about your business that appear on your Apple Business
                        listing. Few Apple Supported attributes are:


                        crossbusiness.family_kids.kids_playarea,
                        crossbusiness.barservice.happyhour
                        Crossbusiness.attire.casual .These help your potential
                        customers understand more about your business.
                    appleActionLinks:
                      type: object
                      properties: {}
                      description: >-
                        Apple actionLinks are shown on the Apple maps place card
                        which helps users to access or redirect to some website
                        or app store. These are typical CTA’s that you would
                        like to expose to your potential customers. Apple action
                        links can only be selected from pre-defined set of
                        action links which you can get using the GET Action
                        links API.
                    appleBusinessName:
                      type: string
                      description: >-
                        Business name shown on your Apple Business listing. Must
                        be between 3 and 250 characters.
                    appleBusinessDescription:
                      type: string
                      description: >-
                        Business description shown on your Apple Business
                        listing. Must be between 20 and 500 characters.
                  description: >-
                    This data will be used to update your Google Business
                    Profile/ listing.
                thirdPartyListing:
                  type: object
                  properties:
                    thirdPartyCategory:
                      type: string
                      description: >-
                        Primary business category for third party listings.
                        Note: This is a Mandatory field if vendor is applicable.
                    thirdPartySubCategories:
                      type: string
                      description: >-
                        Additional sub categories. You can set a maximum of 3
                        sub categories. Note: This is a Mandatory field if
                        thirdPartyCategory is available.
                  description: >-
                    This data will be used to update your secondary listings
                    sites.
                socialProfileURLs:
                  type: object
                  properties:
                    facebookUrl:
                      type: string
                      description: Facebook URL.
                    twitterUrl:
                      type: string
                      description: Business Twitter URL.
                    linkedInUrl:
                      type: string
                      description: Business LinkedId URL.
                    googleUrl:
                      type: string
                      description: US (string)- Business Google URL.
                    youTubeUrl:
                      type: string
                      description: Business Youtube URL.
                    instagramUrl:
                      type: string
                      description: Business Instagram URL.
                    pintrestUrl:
                      type: string
                      description: Business Pinterest URL.
                    bbbUrl:
                      type: string
                      description: Business BB URL.
                    lendingtreeUrl:
                      type: string
                      description: Business Lending Tree URL.
                  description: Profile URLs for business on top rated social sites
                healthcare:
                  type: object
                  properties:
                    doctorCategories:
                      type: string
                      description: >-
                        Immunologist > Allergy, Allergist-Immunologist > General
                        (array) - This is the doctor specific category your
                        business belongs to. Please refer to the sheet "Doctor
                        Specific Categories" to get the possible values.
                    isProvider:
                      type: boolean
                      description: >-
                        If provider then select value true. If practice then
                        select value false. This is a true/false toggle for
                        determining if the location is a provider or not.
                    practiceName:
                      type: string
                      description: Name of the practice.Must be less than 191 characters.
                    firstName:
                      type: string
                      description: First name of the provider.
                    middleName:
                      type: string
                      description: Middle name of the provider.
                    surName:
                      type: string
                      description: Surname of the provider
                    npi:
                      type: number
                      description: National Provider Identifier - NPI. Must be 10 digits
                    credentials:
                      type: string
                      description: >-
                        University of the provider/practice. Must be less than
                        25 characters
                    university:
                      type: string
                      description: >-
                        University of the provider/practice. Must be less than
                        255 characters
                    hospitalAffiliations:
                      type: string
                      description: >-
                        Hospital Affiliations of the provider/practice. Must be
                        less than 150 characters
                    insurancesAccepted:
                      type: string
                      description: >-
                        Insurance Accepted of the provider/practice.  Must be
                        less than 50 characters
                  description: >-
                    This section is only applicable if you have purchased the
                    health care listings plan and have been onboarded on the
                    same.
              example:
                businessInfo:
                  name: Dieci Lifestyle Spa
                  phone: (973) 716-0007
                  websiteUrl: http://www.diecispa.org/
                  emailId: example@birdeye.com
                  isAddressHidden: 'No'
                  isServiceAreaProvider: 'No'
                  mainBusinessDescription: >-
                    A cozy neighborhood café serving freshly roasted coffee,
                    artisan teas, and homemade pastries in a friendly atmos
                  serviceAreas:
                    - description: Van An, Berryessa Road, San Jose, CA, USA
                    - description: Santa Clara, CA, USA
                  location:
                    address1: 90 W Mount Pleasant Ave
                    address2: (btwn Preston Dr. &amp; N. Mitchell Ave.)
                    subLocality: Auckland CBD
                    city: Livingston
                    state: NJ
                    zip: 7039
                    countryCode: US
                additionalInfo:
                  establishedYear: '2022'
                  timezone: America/Los_Angeles
                  languages:
                    - English
                    - Hindi
                  moreHours:
                    Dinner:
                      - day: 0
                        isOpen: 0
                        workingHours:
                          - startHour: ''
                            endHour: ''
                      - day: 1
                        isOpen: 0
                        workingHours:
                          - startHour: ''
                            endHour: ''
                      - day: 2
                        isOpen: 1
                        workingHours:
                          - startHour: '09:00'
                            endHour: '20:10'
                      - day: 3
                        isOpen: 1
                        workingHours:
                          - startHour: '09:00'
                            endHour: '11:30'
                      - day: 4
                        isOpen: 1
                        workingHours:
                          - startHour: '9:00'
                            endHour: '11:30'
                      - day: 5
                        isOpen: 1
                        workingHours:
                          - startHour: '09:00'
                            endHour: '11:30'
                      - day: 6
                        isOpen: 1
                        workingHours:
                          - startHour: '00:00'
                            endHour: '20:30'
                    Delivery:
                      - day: 0
                        isOpen: 0
                        workingHours:
                          - startHour: ''
                            endHour: ''
                      - day: 1
                        isOpen: 1
                        workingHours:
                          - startHour: '7:00'
                            endHour: '09:30'
                      - day: 2
                        isOpen: 1
                        workingHours:
                          - startHour: '02:00'
                            endHour: '09:30'
                      - day: 3
                        isOpen: 1
                        workingHours:
                          - startHour: '00:00'
                            endHour: '11:30'
                      - day: 4
                        isOpen: 1
                        workingHours:
                          - startHour: '0:00'
                            endHour: '11:30'
                      - day: 5
                        isOpen: 1
                        workingHours:
                          - startHour: '0:00'
                            endHour: '11:30'
                      - day: 6
                        isOpen: 1
                        workingHours:
                          - startHour: '1:00'
                            endHour: '1:00'
                  appleMoreHours:
                    Dining Hours:
                      - day: 0
                        isOpen: 1
                        workingHours:
                          - startHour: '10:00'
                            endHour: '16:00'
                      - day: 1
                        isOpen: 1
                        workingHours:
                          - startHour: '10:00'
                            endHour: '16:00'
                      - day: 2
                        isOpen: 1
                        workingHours:
                          - startHour: '10:00'
                            endHour: '16:00'
                      - day: 3
                        isOpen: 1
                        workingHours:
                          - startHour: '10:00'
                            endHour: '16:00'
                      - day: 4
                        isOpen: 1
                        workingHours:
                          - startHour: '10:00'
                            endHour: '16:00'
                      - day: 5
                        isOpen: 0
                        workingHours:
                          - startHour: ''
                            endHour: ''
                      - day: 6
                        isOpen: 0
                        workingHours:
                          - startHour: ''
                            endHour: ''
                  wholeWeekOperating: 0
                  hoursOfOperations:
                    - day: 0
                      isOpen: 1
                      workingHours:
                        - startHour: '09:00'
                          endHour: '13:30'
                        - startHour: '14:30'
                          endHour: '19:00'
                    - day: 1
                      isOpen: 1
                      workingHours:
                        - startHour: '09:00'
                          endHour: '13:30'
                        - startHour: '14:30'
                          endHour: '19:00'
                    - day: 2
                      isOpen: 1
                      workingHours:
                        - startHour: '09:00'
                          endHour: '13:30'
                        - startHour: '14:30'
                          endHour: '19:00'
                    - day: 3
                      isOpen: 1
                      workingHours:
                        - startHour: '09:00'
                          endHour: '13:30'
                        - startHour: '14:30'
                          endHour: '19:00'
                    - day: 4
                      isOpen: 1
                      workingHours:
                        - startHour: '09:00'
                          endHour: '13:30'
                        - startHour: '14:30'
                          endHour: '19:00'
                    - day: 5
                      isOpen: 1
                      workingHours:
                        - startHour: '09:00'
                          endHour: '13:30'
                        - startHour: '14:30'
                          endHour: '19:00'
                    - day: 6
                      isOpen: 1
                      workingHours:
                        - startHour: '09:00'
                          endHour: '13:30'
                        - startHour: '14:30'
                          endHour: '18:00'
                  specialHours:
                    - specialDate: 12/31/2020
                      startHour: '09:00'
                      endHour: '12:00'
                      isOpen: 0
                    - specialDate: 01/01/2021
                      startHour: ''
                      endHour: ''
                      isOpen: 1
                  businessStatus: Open
                  reopenDate: 01/01/2021
                  keywords: >-
                    HairSalons,DaySpas,BeautySalon,BeautySalons,Salons,
                    MassageTherapists
                  services: BeautySalon,HairSpa
                  products: LivingProofDryShampoo,KevinMurphyBlondeAngelWash
                  appointmentLink: http://www.gmail.com
                  reservationLink: http://www.gmail.com
                  menuLink: http://www.gmail.com
                  orderAheadLink: http://www.gmail.com
                  impressum: Thisissampleimpressum
                  paymentTypes:
                    - China Union Pay
                    - Bitcoin
                    - Cash Accepted
                    - MasterCard
                    - PayPal
                    - Check / Cheque
                    - Contactless Payment
                    - Debit Card
                    - Diners Club
                    - JCB
                    - Financing
                    - Visa
                    - American Express
                    - Cash Only
                    - Rupay
                    - Credit Card
                    - Discover
                  additionalPaymentTypes: Visa,MasterCard,AmericanExpress,DebitCards,Check
                  localPhoneNumber: (973)716-0102
                  tollFreePhoneNumber: ''
                  iosAppURL: http://www.gmail.com
                  androidAppURL: http://www.gmail.com
                media:
                  logoUrl: >-
                    https://d1py4eyp5hehj0.cloudfront.net/upload/1334812/1718082646457/2816b900140211eb870e7bf4ed6bc766.png
                  coverImageUrl: >-
                    https://d1py4eyp5hehj0.cloudfront.net/upload/1334812/1718082720956/GustavKlimtExpectationTreeoflifeArboldelaVidaFulfilment.jpeg
                  gmbCover: >-
                    https://d1py4eyp5hehj0.cloudfront.net/upload/1334812/1718082807649/41cdeb014d36cb35f936152d44c4c77d.jpeg
                  facebookCover: >-
                    https://d1py4eyp5hehj0.cloudfront.net/upload/1334812/1718082871068/IJ8Sa5.jpeg
                optOut:
                  gmbCoverOptOut: true
                  gmbLogoOptOut: true
                  fbCoverOptOut: false
                  fbLogoOptOut: false
                  gmbProfileOptOut: false
                  businessProfileOptOut: false
                covidInfo:
                  postDescription: SampleCovidDesc
                  covid19SupportLink: http://www.covidInfo.com
                  virtualCareLink: http://www.covidInfo.com
                bingListing:
                  primaryCategoryBing: Art Restoration Service
                  bingDescription: Sample Bing Description
                  bingCategories:
                    - Art Restoration Service
                  bingPhoneNumber: (415) 673-0868
                internalListing:
                  description: >-
                    ipsum dolor sit amet, consectetuer adipiscing elit. Aenean
                    commodo ligula eget dolor. Aenean massa. Cum sociis natoque
                    penatibus et magnis dis parturient montes, nascetur ridic
                    ipsum dolor sit amet, consectetuer adipiscing elit. Aenean
                    commodo ligula eget dolor. Aenean massa. Cum sociis natoque
                    penatibus et magnis dis parturient montes, nascetur ridic
                  category: Beauty
                  subCategories:
                    - Eyelash Service
                    - Nail Salons
                  displayCategory: Eyelash Service
                facebookListing:
                  facebookDescription: This is sample facebook description
                  facebookPhoneNumber: (415) 673-0868
                  categories:
                    - Science
                    - Sports
                thirdPartyListing:
                  thirdPartyCategory: Towing Service
                  thirdPartySubCategories:
                    - Car Dealer
                    - Auto Glass Shop
                gmbListing:
                  googleWebsiteUrl: http://www.gmail.com
                  googleStoreId: '1232133'
                  googlePhoneNumber: (973) 716-0007
                  primaryCategoryGmb: Fast Food Restaurant
                  googleDescription: This is sample description for google
                  additionalCategories:
                    - Snack bar
                  attributes:
                    Accessibility:
                      - attributeId: has_wheelchair_accessible_elevator
                        attributeName: Wheelchair accessible elevator
                        value: false
                    Crowd:
                      - attributeId: welcomes_families
                        attributeName: Family-friendly
                        value: true
                  hotelAttributes:
                    sustainability:
                      energyEfficiency:
                        energyConservationProgram:
                          attributeId: energyConservationProgram
                          attributeName: Energy conservation program
                          value: true
                    parking:
                      parking:
                        parkingAvailable:
                          attributeId: parkingAvailable
                          attributeName: Parking available
                          value: true
                  foodDelivery: https://www.ubereats.com
                  foodTakeout: https://www.ubereats.com
                  whatsappBusinessLink: https://wa.me/9737160007
                  textMessageNumber: 973716-0007
                appleListing:
                  primaryCategory: health_care.dentistry.dental_clinic.dentist
                  appleWebsiteUrl: https://www.apple.com
                  additionalCategories:
                    - health_care.dentistry.dental_clinic.dentist.oral_surgeon
                  appleLocationAttributes:
                    crossbusiness.accessibility_features:
                      - attributeId: accessible_elevator
                    crossbusiness.family_kids:
                      - attributeId: kidsclub
                      - attributeId: parents_waitingarea
                  appleActionLinks:
                    - id: quicklinks.schedule_appointment
                      deepLinkUrl: https://www.google.com
                      appStoreUrl: https://apps.apple.com/your_apps_store_url
                  phoneNumber: +1 201-819-7989
                  appleBusinessName: This is sample business name
                  appleBusinessDescription: This is sample business description
                socialProfileURLs:
                  googleUrl: http://www.google.com/123
                  facebookUrl: http://www.facebook.com/123
                  twitterUrl: http://www.twitter.com/123
                  youTubeUrl: http://www.youtube.com/12
                  linkedinUrl: http://www.linkedin.com/12
                  instagramUrl: http://www.instagram.com/12
                  pintrestUrl: http://www.pinterest.com/12
                  bbbUrl: http://www.bbb.org/12
                  lendingtreeUrl: http://www.lendingtree.com/12
                healthcare:
                  doctorCategories:
                    - Allergist-Immunologist > Allergy
                    - Allergist-Immunologist > General
                    - Addiction Medicine Specialist > General
                  isProvider: true
                  practiceName: General Medicine
                  firstName: John
                  middleName: Jack
                  surName: Doe
                  npi: '1245319599'
                  credentials: MD
                  university: Sample text
                  hospitalAffiliations: Sample text
                  insurancesAccepted: Sample text
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/6001Model'
              examples:
                response:
                  value:
                    code: 6001
                    message: The 'sub_locality' field cannot exceed 80 characters.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/1161Model'
              examples:
                response:
                  value:
                    code: 1161
                    message: Invalid API key
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/89Model'
              examples:
                response:
                  value:
                    code: 89
                    message: Rate limit exceeded
components:
  schemas:
    6001Model:
      type: object
      properties:
        code:
          type: number
        message:
          type: string
      example:
        code: 6001
        message: The 'sub_locality' field cannot exceed 80 characters.
    1161Model:
      type: object
      properties:
        code:
          type: number
        message:
          type: string
      example:
        code: 1161
        message: Invalid API key
    89Model:
      type: object
      properties:
        code:
          type: number
        message:
          type: string
      example:
        code: 89
        message: Rate limit exceeded

````